App\Entity\Setupmodel:
    type: entity
    table: setupmodel
    indexes:
        Data:
            columns:
                - Data
        DataMod:
            columns:
                - DataMod
        AWB:
            columns:
                - AWB
        DataIns:
            columns:
                - DataIns
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            column: ID
            generator:
                strategy: IDENTITY
    fields:
        awb:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
            column: AWB
        data:
            type: datetime
            nullable: true
            column: Data
        dest:
            type: string
            nullable: true
            length: 200
            options:
                fixed: false
            column: Dest
        nrpackages:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: NrPackages
        totpackages:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: TotPackages
        grossweight:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: GrossWeight
        netweight:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: NetWeight
        hpackage:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: HPackage
        wpackage:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: WPackage
        lpackage:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: LPackage
        volume:
            type: float
            nullable: true
            precision: 10
            scale: 0
            options:
                default: '0'
            column: Volume
        vettore:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
                default: '0'
            column: Vettore
        destinazione:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
                default: '0'
            column: Destinazione
        stato:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: Stato
        flags:
            type: integer
            nullable: true
            options:
                unsigned: false
                default: '0'
            column: Flags
        datains:
            type: datetime
            nullable: true
            column: DataIns
        datamod:
            type: datetime
            nullable: true
            column: DataMod
    lifecycleCallbacks: {  }
